#/bin/bash

set -e

DEVICE=$(blkid -t LABEL=MULTIBOOT -odevice)
MPOINT=/mnt
UPDATE_SCRIPT="./scripts/update_stick.sh"

if [ ! $EUID -eq 0 ]; then
    echo "You are not root..."
    exit 1
fi

if [ -z $DEVICE ]; then
    echo "No stick found..."
    exit 1
fi

mount "$DEVICE" "$MPOINT"
pushd "$MPOINT" > /dev/null

if [ -e "$UPDATE_SCRIPT" ]; then
    echo "Using $UPDATE_SCRIPT."
    bash ./scripts/update_stick.sh
else
    echo "No $UPDATE_SCRIPT avaiable."
    echo "Falling back to plain git commands."
    git checkout master
    git pull
fi

popd > /dev/null

umount "$MPOINT"
sync
exit 0
